ru.bitel.bgbilling.kernel.contract.limit.common.service

## Interface ContractLimitService

-     public interface ContractLimitService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelLimitChangeTask(java.util.List<java.lang.Integer> taskIds)`
    `boolean` | `checkContractLimitUpdate(int contractId, javax.xml.ws.Holder<java.lang.Integer> amount)`
    `java.math.BigDecimal` | `contractLimitGet(int contractId)`
    `void` | `contractLimitMove(int contractId, java.math.BigDecimal amount, int days)`
    `java.util.List<ContractLimitMovement>` | `contractLimitMovementList(int contractId, java.util.Date dateFrom, java.util.Date dateTo)`
    `ContractLimitParameters` | `contractLimitParametersGet(int contractId)`
    `java.math.BigDecimal` | `getCurrentContractLimit(int contractId)`
    `SearchResult<ContractLimitAvto>` | `searchContractLimitAvtoList(int contractId, java.lang.String status, java.lang.String[] sort, Page page)`
    `SearchResult<ContractLimitLog>` | `searchContractLimitLogList(int contractId, Period period, java.lang.String[] sort, Page page)`
    `void` | `updateContractLimit(int contractId, java.math.BigDecimal limit, java.lang.String comment)`
    `void` | `updateContractLimitPeriod(int contractId, java.math.BigDecimal limit, int period, java.lang.String comment)`
    `void` | `updateContractLimitPeriodGroupOperation(java.lang.String contractIds, java.math.BigDecimal limit, int period)` Данный метод используется в груповых оперциях для временного изменения лимита группе договоров.

- - ### Method Detail

    - #### searchContractLimitLogList

          SearchResult<ContractLimitLog> searchContractLimitLogList(int contractId,
                                                                    Period period,
                                                                    java.lang.String[] sort,
                                                                    Page page)
                                                             throws ru.bitel.bgbilling.common.BGException,
                                                                    ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### searchContractLimitAvtoList

          SearchResult<ContractLimitAvto> searchContractLimitAvtoList(int contractId,
                                                                      java.lang.String status,
                                                                      java.lang.String[] sort,
                                                                      Page page)
                                                               throws ru.bitel.bgbilling.common.BGException,
                                                                      ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateContractLimitPeriod

          void updateContractLimitPeriod(int contractId,
                                         java.math.BigDecimal limit,
                                         int period,
                                         java.lang.String comment)
                                  throws ru.bitel.bgbilling.common.BGException,
                                         ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateContractLimitPeriodGroupOperation

          void updateContractLimitPeriodGroupOperation(java.lang.String contractIds,
                                                       java.math.BigDecimal limit,
                                                       int period)
                                                throws ru.bitel.bgbilling.common.BGException,
                                                       ru.bitel.bgbilling.common.BGMessageException

      Данный метод используется в груповых оперциях для временного изменения лимита группе договоров.
      Parameters:
        `contractIds` - коды договоров через запятую. Пример: 1,2,3,4
        `limit` - сумма, на которую необходимо изменить лимит. Пример: -1000
        `period` - период, на который необходимо изменить лимит (в днях). Пример: 6
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### contractLimitGet

          java.math.BigDecimal contractLimitGet(int contractId)
                                         throws ru.bitel.bgbilling.common.BGException,
                                                ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### contractLimitMove

          void contractLimitMove(int contractId,
                                 java.math.BigDecimal amount,
                                 int days)
                          throws ru.bitel.bgbilling.common.BGException,
                                 ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### contractLimitMovementList

          java.util.List<ContractLimitMovement> contractLimitMovementList(int contractId,
                                                                          java.util.Date dateFrom,
                                                                          java.util.Date dateTo)
                                                                   throws ru.bitel.bgbilling.common.BGException,
                                                                          ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### contractLimitParametersGet

          ContractLimitParameters contractLimitParametersGet(int contractId)
                                                      throws ru.bitel.bgbilling.common.BGException,
                                                             ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### cancelLimitChangeTask

          void cancelLimitChangeTask(java.util.List<java.lang.Integer> taskIds)
                              throws ru.bitel.bgbilling.common.BGException,
                                     ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateContractLimit

          void updateContractLimit(int contractId,
                                   java.math.BigDecimal limit,
                                   java.lang.String comment)
                            throws ru.bitel.bgbilling.common.BGException,
                                   ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### checkContractLimitUpdate

          boolean checkContractLimitUpdate(int contractId,
                                           javax.xml.ws.Holder<java.lang.Integer> amount)
                                    throws ru.bitel.bgbilling.common.BGException,
                                           ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### getCurrentContractLimit

          java.math.BigDecimal getCurrentContractLimit(int contractId)
                                                throws ru.bitel.bgbilling.common.BGException,
                                                       ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`